Обновление Drupal (новая версия Drupal 8.4.2)

Аватар пользователя Van'Denis

Drupal 8.4.2


Примечания к выпуску:

Обновления с безопасностью отсутствуют.

Выпущена готовая к использованию версия Drupal 8.4.2

В этом релизе Drupal'а изменена, включенная в ядро, версия библиотеки ckeditor (с 4.7.3 до 4.7.2), в противном случае библиотека идентична Drupal 8.4.1

Если вы еще не обновили свой проект до версии ядра 8.4.0, то прочитайте об Drupal 8.4.0 перед обновлением.

Подробнее об этой версии Drupal

Ключевые слова:
Версия Drupal:
Форумы:
0 Thanks

Комментарии

Аватар пользователя Egmont
Egmont 2 недели назад

Да, спасибо за полезную информацию. У меня вопрос. Уже несколько месяцев, приложив много попыток [ очень ] в линуксАх, с разными конфигурациями вэб_серверов, нормально друпал 8 и не заработал. Было всего две из 40 попыток удачно. Сейчас : не для рекламы, мне накрутка не нужна. Сайт для себя лично. http://medvestnik.xyz
В чем вопрос. Уже я в Windows, OpenServer drupal 8 локально работает с версией ядра _8.41 Но не на hostland[е] Там, вестимо юникс_сервера. И что ? Я прав ? Друпал 8 в принципе не хочет дружить с opensource ? Ответьте пожалуйста мне прямо на почту : @qip.ru">Luk.51@qip.ru или nik75784@gmail.com С уважением. Сергей. Это что , картельный сговор с microsoft ? Тогда это просто кощунственно. Ещё раз, ставил самые последние LAMP _сборки. Линуксы совершенно разные. Но лишь однажды, в LMC_18.2 друпал 8 заработал нормально. Но я, к сожалению утратил по ошибке ту, точно сборку.

Аватар пользователя bsyomov
bsyomov 2 недели назад

Drupal 8 прекрасно работает на Linux. Вся среда его выполнения в целом работает на Linux даже лучше и стабильнее.
А ваша проблема, вероятно в том, что вы ищите готовое решение там, где его нет, и не умеете настраивать не готовые.

Аватар пользователя Egmont
Egmont 2 недели назад

Спасибо за комментарий. Это вдохновляет. Так как Windows* мне не вполне подходит. Буду искать дальше решение своего вопроса в Линукс. С уважением. Сергей.

Аватар пользователя Egmont
Egmont 2 недели назад

Однако . На локальном сервере [ opensource ] работает не только версия друпала 8.35 Но и абсолютно нормально прошло и обновление до 8. 41 На хостланде, где линукс_сервера толком не работает и 8. 35 Richard Stallman далеко. Челобитную ему не напишешь. Я тем временем подыскиваю хостинг с Windows* сервером. [ Да. В самом друпале у меня отключен и кэш, как то рекомендуется ]. И сделаны иные настройки, в соответствии с рекомендациями Ивана Абраменко, признанного специалиста по Друпалу, в том числе и Друпал 8. Но у меня нет хотя бы ресурсов для покупки PhpStorm. А все уроки Ивана Александровича по Друпал 8 построены для последнего варианта. То есть на проприетарных инструментах и самой ОС. С уважением ко всему сообществу. [ и напоследок, хочу спросить, а есть такие специалисты, у которых последние версии Друпал 8 нормально работают на хостингах с предоставлением услуг в виде линукс_серверов, как я понимаю, линукс_сервер последних конфигураций, он и в Африке линукс_сервер, но в них чего-то не хватает, библиотек, тех , что есть в Виндовс, а я библиотеки всегда ставлю все, и ни редактирование .htaccess Ни settings.php не давало результата ] Здесь загадка. И ответы , в разрезе _неправильно лечитесь, в информатике не очень подходят. Хотя программирование тоже относительно точная наука.

Аватар пользователя Egmont
Egmont 2 недели назад

Всё вдруг разрешилось хорошо, но не совсем понятно. Сайт заработал на Hostland [ e ] я благополучно обновился до версии _8.42 Сейчас отозвал перенос на другой хостинг [ имеется в виду : Handyhost.ru ] Тревога оказалась ложной. Там и жалеть не зачем, сайт [ ец ] , а не приличный сайт. Что я думаю, что локалхост в Линуксах наверное такой : там напрямую не получается сайт запустить . А потом остаётся в url [ e ] index.php
Например так: http://medvestnik.xyz/index.php/ А на вирт. хостинге у поставщика, он постепенно исчезает. А так, конечно, index.php в пути сильно мешает. Но это важно мне прояснить было. Думаю, что достопочтенному сообществу не очень интересно сиё описание моих действий. А так, у меня впереди неслабая тема : знакомство с Twig С уважением. Сергей.

Аватар пользователя gun_dose
gun_dose 2 недели назад
2

Найдите нормального сисадмина, который сможет вас научить. Потому что в ваших длиннющих постах каждая строка - полнейшая дичь.

Аватар пользователя Egmont
Egmont 2 недели назад

Спасибо за комментарии. Вероятно есть отличие друпал 7 и друпал 8 , но не в прямом смысле. А пока смотрю такое в поиске : индексный файл для поискового бота. Ведь друпал 7 в более чем десятке линукс[ ов ] устанавливается во вполне работоспособном состоянии. И на локальном сервере, у меня сейчас : Mageia в том числе. А вот друпал 8 в ней же так : http://localhost/drupal8/index.php/node/1 [ не важно какая нода ] Иначе перемещаться по меню невозможно. http://localhost/drupal8/admin/config выдает сообщение Object not found ! The request URL was not found on this server. Надеюсь, что изложил кратко и наглядно. С уважением. Сергей
Тобишь : Error 404

Аватар пользователя gun_dose
gun_dose 2 недели назад

Индекс.пхп появляется в пути из-за кривых настроек апача.

Аватар пользователя Egmont
Egmont 2 недели назад

Поменял что_то в настройках. Пусть так : http://localhost/drupal801/index.php/admin/reports
Что я буду придираться к index.php ?
Ведь работает, переключается. Будет время, переведу его на виртуальный хостинг к Hostland Свободное доменное имя у меня есть. Там его уже не будет скорей всего. Так было с http://medvestnik.xyz Тобишь сейчас нет в УИР этого файла : сиречь index.php С уважением.

Аватар пользователя icbook
icbook 18 часов назад

Поставил Друпал под Free 11.1. По умолчанию из портов там ставится Drupal core 8.3.5. Подскажите, где почитать, как выполняется обновление до текущей версии.

Аватар пользователя itcrowd72
itcrowd72 11 часов назад

Удаляйте пакет, качайте и устанавливайте друпал с официального сайта

Аватар пользователя bsyomov
bsyomov 10 мин. назад

Такие приложения не разумно ставить из портов. Ставьте из портов окружение (веб сервер, mysql, php и.т.п.), а drupal(или другое веб приложение), устанавливайте его стандартным средствами, например, с помощью composer, ну и с его же помощью обновляйтесь.